/* Контейнер одного ребуса */
.rebus-item {
    margin-bottom: 50px;
    text-align: center;
    padding-bottom: 30px;
    border-bottom: 1px dashed #6699FF;
}

/* Картинка ребуса */
.rebus-item img {
    max-width: 100%;
    height: auto;
    margin-bottom: 15px;
}

/* Кнопка "ПОКАЗАТЬ ОТВЕТ" */
.rebus-ans-btn {
    display: inline-block;
    margin-top: 12px;
    padding: 8px 18px;
    background-color: #e7f6fe;
    color: #0000cc;
    border: 1px solid #cce5ff; 
    border-radius: 6px; 
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    user-select: none;
    text-decoration: none; 
    transition: background 0.2s;
}

.rebus-ans-btn:hover {
    background-color: #d0e9fa;
    text-decoration: none;
}

/* Блок с самим ответом */
.rebus-ans-block {
    margin-top: 15px;
    background-color: #fbfdfe;
    border: 1px solid #cce5ff;
    padding: 15px;
    width: 80%;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 8px;
}

/* Текст ответа внутри блока */
.rebus-ans-text {
    color: #2863eb;
    font-size: 2em;
    font-weight: bold;
    text-transform: uppercase;
	font-family: "Courier New", Courier, monospace;
    display: block; 
}